﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using RemoteData.Models;
using Syncfusion.EJ2;
using Syncfusion.EJ2.Navigations;

namespace RemoteData.Controllers
{
    public class HomeController : Controller
    {
        public IActionResult Index()
        {
            List<object> menuItems = new List<object>();
            menuItems.Add(new
            {
                text = "Add New Item",
            });
            menuItems.Add(new
            {
                text = "Rename Item",
            });
            menuItems.Add(new
            {
                text = "Remove Item",
            });
            menuItems.Add(new
            {
                text = "Delete",
            });
            menuItems.Add(new
            {
                text = "Edit",
            });
            menuItems.Add(new
            {
                text = "Add",
            });
            ViewBag.menuItems = menuItems;
            return View();
        }

        public IActionResult About()
        {
            ViewData["Message"] = "Your application description page.";

            return View();
        }

        public IActionResult Contact()
        {
            ViewData["Message"] = "Your contact page.";

            return View();
        }

        public IActionResult Privacy()
        {
            return View();
        }

        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }
    }
}
